#include "qlcnic_compat.h"

#ifdef qlcnic_rounddown_pow_of_two
unsigned long __rounddown_pow_of_two(unsigned long n)
{
	return 1UL << (fls_long(n) - 1);
}
#endif

#if (RHEL_RELEASE_CODE < RHEL_RELEASE_VERSION(5, 6))

inline struct net_device *vlan_group_get_device(struct vlan_group *vg,
					int vlan_id)
{
	return vg->vlan_devices[vlan_id];
}
#endif
#if (RHEL_RELEASE_CODE < RHEL_RELEASE_VERSION(5, 6))
int register_lro_netdev(struct net_device *netdev,
		disable_lro_func_t func)
{
	return 0;
}
int unregister_lro_netdev(struct net_device *netdev)
{
	return 0;
}
#endif
